body {
  background-color: $body-color;
  overflow-x: hidden;
}

::selection {
  background: lighten($color: $primary-color, $amount: 10);
  color: $white;
}

/* preloader */

.preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #000;
  z-index: 999999;
  display: flex;
  align-items: center;
  justify-content: center;

}

@keyframes girar{
  from {
    transform: rotate(0deg);
  }
  to{
    transform: rotate(360deg);
  }
}

ol,
ul {
  list-style-type: none;
  margin: 0px;
}

img {
  vertical-align: middle;
  border: 0;
}

a,
a:hover,
a:focus {
  text-decoration: none;
}

a{
  color: inherit;
}

a,
button,
select {
  cursor: pointer;
  transition: .2s ease;

  &:focus {
    outline: 0;
  }
}

a:hover {
  color: $primary-color;
}

a.text-primary:hover {
  color: $primary-color!important;
}

a.text-light:hover {
  color: $primary-color!important;
}

h4{
  transition: .2s ease;
}
a h4{
  &:hover{
    color: $primary-color;
  }
}

.slick-slide {
  outline: 0;
}

.section {
  padding-top: 90px;
  padding-bottom: 90px;

  &-sm {
    padding-top: 40px;
    padding-bottom: 40px;
  }

  &-title {
    margin-bottom: 30px;
  }
}

.bg-cover {
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
}

.border-primary {
  border-color: $border-color !important;
}

/* overlay */

.overlay {
  position: relative;

  &::before {
    position: absolute;
    content: '';
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    background: $overlay;
    opacity: .8;
  }
}

.outline-0 {
  outline: 0 !important;
}

.d-unset {
  display: unset !important;
}

.bg-primary {
  background: $primary-color !important;
}

.bg-secondary {
  background: $secondary-color !important;
}

.bg-gray {
  background: $gray;
}

.text-primary {
  color: $tercer-color !important;
}

.text-color {
  color: $text-color;
}

.text-light {
  color: $text-color-light !important;
}

.text-lighten{
  color: #d6d6e0 !important;
}

.text-muted {
  color: #b5b5b7 !important;
}

.text-dark {
  color: $text-color-dark !important;
}

.font-secondary {
  font-family: $secondary-font;
}

.mb-10 {
  margin-bottom: 10px !important;
}

.mb-20 {
  margin-bottom: 20px !important;
}

.mb-30 {
  margin-bottom: 30px !important;
}

.mb-40 {
  margin-bottom: 40px !important;
}

.mb-50 {
  margin-bottom: 50px !important;
}

.mb-60 {
  margin-bottom: 60px !important;
}

.mb-70 {
  margin-bottom: 70px !important;
}

.mb-80 {
  margin-bottom: 80px !important;
}

.mb-90 {
  margin-bottom: 90px !important;
}

.mb-100 {
  margin-bottom: 100px !important;
}

.pl-150 {
  padding-left: 150px;
}

.zindex-1 {
  z-index: 1;
}

.overflow-md-hidden {
  @include desktop {
    overflow: hidden;
  }
}

.vertical-align-middle{
  vertical-align: middle;
}

.icon-md{
  font-size: 36px;
}

/* page title */
.page-title-section {
  padding: 20vh 0 10vh;
  height: 40vh;
}

.custom-breadcrumb {
  li {
    &.nasted {
      position: relative;
      padding-left: 25px;

      &::before {
        position: absolute;
        font-family: $icon-font;
        content: "\e649";
        font-size: 20px;
        top: 50%;
        left: -5px;
        color: $white;
        transform: translateY(-50%);
      }
    }
  }
}

/* /page title */

.list-styled{
  padding-left: 25px;
  li{
    position: relative;
    margin-bottom: 15px;
    &::before{
      position: absolute;
      content: "";
      height: 10px;
      width: 10px;
      border-radius: 50%;
      background: $primary-color;
      left: -25px;
      top: 5px;
    }
  }
}

textarea.form-control{
  height: 200px;
  padding: 20px;
}

#map_canvas{
  height: 500px;
}



.post-thumb-sm {
  max-width: 100px;
}


/* pagination */
.pagination {
  justify-content: center;
  .page-item {
    margin: 0 10px;

    &.active {
      .page-link {
        background: $primary-color;
        color: $white;
        border-color: $primary-color;
      }
    }

    &:first-child .page-link,
    &:last-child .page-link {
      border-radius: 0;
    }

    .page-link {
      color: $text-color;
    }
  }
}


.content {
  * {
    margin-bottom: 20px;
  }

  a {
    text-decoration: underline;
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    margin-bottom: 10px;
  }

  ol {
    padding-left: 20px;
  }

  ul {
    padding-left: 0;

    li {
      position: relative;
      padding-left: 20px;
      margin-bottom: 10px;
      list-style-type: none;

      &::before {
        position: absolute;
        font-family: $icon-font;
        font-size: 14px;
        left: 0;
        top: 1px;
        color: $primary-color;
        transition: .3s ease;
      }
    }
  }

  table {
    text-align: left;
    width: 100%;
    max-width: 100%;
    margin-bottom: 1rem;
    border: 1px solid #dee2e6;

    th,
    td {
      padding: .75rem;
      vertical-align: top;
      border: 1px solid #dee2e6
    }

    thead {
      background: darken($color: $light, $amount: 2);
    }

    tbody {
      background: $light;

      td {
        text-align: left !important;
      }
    }
  }


  blockquote {
    p {
      margin-bottom: 0;
      color: $text-color;
      font-style: italic !important;
    }
  }


  pre {
    padding: 10px 20px;
    background: $light;
  }
}

.teacher-thumb-sm{
  height: 85px;
  width: 85px;
  object-fit: cover;
}


.login-box {
	position: relative;
	top: 50%;
	left: 50%;
	width: 400px;
	padding: 40px;
	transform: translate(-50%, -50%);
	background: rgba(0,0,0,.5);
	box-sizing: border-box;
	box-shadow: 0 15px 25px rgba(0,0,0,.6);
	border-radius: 10px;
}

.login-box h2 {
	margin: 0 0 30px;
	padding: 0;
	color: #F1EEE6;
	text-align: center;
}

.login-box .user-box {
	position: relative;
}

.login-box .user-box input {
	width: 100%;
	padding: 10px 0;
	font-size: 16px;
	color: #F1EEE6;
	margin-bottom: 30px;
	border: none;
	border-bottom: 1px solid #F1EEE6;
	outline: none;
	background: transparent;
}

.login-box .user-box label {
	position: absolute;
	top: 0;
	left: 0;
	padding: 10px 0;
	font-size: 16px;
	color: #F1EEE6;
	pointer-events: none;
	transition: .5s;
}

.login-box .user-box input:focus ~ label, .login-box .user-box input:valid ~ label {
	top: -20px; 
	left: 0px; 
	color: #03E9F4;
	font-size: 12px;
}


.login-box form a {
	position: relative;
	display: inline-block;
	padding: 10px 20px;
	color: #03E9F4;
	font-size: 16px;
	text-decoration: none;
	text-transform: uppercase;
	overflow: hidden;
	transition: .5s;
	margin-top: 40px;
	letter-spacing: 4px;
}

.login-box form a:hover {
	background: #03E9F4;
	color: #F1EEE6;
	border-radius: 5px;
	box-shadow: 0 0 5px #03E9F4,
							 0 0 25px #03E9F4,
							 0 0 50px #03E9F4,
							 0 0 100px #03E9F4;
}

.login-box a span {
	position: absolute;
	display: block;
}

.login-box a span:nth-child(1) {
  top: 0;
  left: -100%;
  width: 100%;
  height: 2px;
  background: linear-gradient(90deg, transparent, #03e9f4);
  animation: btn-anim1 1s linear infinite;
}

@keyframes btn-anim1 {
  0% {
    left: -100%;
  }
  50%,100% {
    left: 100%;
  }
}

.login-box span:nth-child(2) {
	top: -100%;
	right: 0;
	width: 2px;
	height: 100%;
	background: linear-gradient(180deg, transparent, #03E9F4);
	animation: btn-anim2 1s linear infinite;
	animation-delay: .25s;
}

@keyframes btn-anim2 {
	0%{
		top: -100%;
	}
	50%,100% {
		top: 100%;
	}
}

.login-box span:nth-child(3){
	bottom: 0;
	tight: -100%;
	width: 100%;
	height: 2px;
	background: linear-gradient(270deg, transparent, #03E9F4);
	animation: btn-anim3 1s linear infinite;
	animation-delay: .5s;
}

@keyframes btn-anim3 {
	0%{
		right: -100%;
	}
	50%,100% {
		right: 100%;
	}
}

.login-box span:nth-child(4) {
	bottom: -100%;
	left: 0;
	width: 2px;
	height: 100%;
	background: linear-gradient(360deg, transparent, #30E9F4);
	animation: btn-anim4 1s linear infinite;
	animation-dealy: .75s;
}

@keyframes btn-anim4 {
  0% {
    bottom: -100%;
  }
  50%,100% {
    bottom: 100%;
  }
}

.card5{
width: 65%;
padding: 20px;
border-radius: 6px;
box-shadow: 0 0 8px silver;
background: #00529b;
}

@media screen and (min-width:370px){
 .card5{
   width: 100%;
 }
}

@media screen and (min-width:575px){
  .card5{
    width: 95%;
  }
}

@media screen and (min-width:767px){
  .card5{
    width: 65%;
  }
}


.card5 h2{
color: white;
text-align: center;
margin-bottom: 60px;
}


.input-border{
width: 100%;
height: 40px;
position: relative;
margin-bottom: 30px;
}

.text{
width: 95%;
height: 100%;
padding: 0 10px;
border: none;
border-bottom: 2px solid silver;
background: none;
font-size: 18px;
color: white;
}

.border{
position: absolute;
bottom: 0;
left: 0;
width: 0;
height: 2px;
background: white;
transition: .5s;
}

.text:focus ~ .border,
.text:valid ~ .border{
width: 100%;
}

.label5{
position: absolute;
top: -10px;
left: 14px;
color: silver;
pointer-events: none;
font-size: 18px;
transition: .5s;
}

.text:focus ~ .label5,
.text:valid ~ .label5{
top: -40px;
left: 0;
color: white;
font-size: 14px;
}


.btn5{
width: 100%;
height: 50px;
border-radius: 8px;
background: none;
border: 3px solid $primary-color;
color: white;
font-size: 18px;
transition: .5s;
}

.btn5:hover{
border: 6px solid white;
}

